#
# spec file for package kubectl-capacity
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           kubectl-capacity
Version:        0.8.0
Release:        1.4
Summary:        Show resource requests, limits, and utilization in a Kubernetes cluster
License:        Apache-2.0
URL:            https://github.com/robscott/kube-capacity
Source:         kube-capacity-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.19

%description
This is a simple CLI that provides an overview of the resource requests, limits, and utilization in a Kubernetes cluster. It attempts to combine the best parts of the output from kubectl top and kubectl describe into an easy to use CLI focused on cluster resources.

%prep
%autosetup -p1 -a 1 -n kube-capacity-%{version}

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -ldflags="-X main.Version=%{version}"

%install
# Install the binary.
install -D -m 0755 kube-capacity "%{buildroot}/%{_bindir}/%{name}"
ln -s %{name} "%{buildroot}/%{_bindir}/kube-capacity"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/kube-capacity

%changelog
* Wed Feb 21 2024 opensuse_buildservice@ojkastl.de
- Update to version 0.8.0:
  * Bump the actions group with 1 update
  * Bump the actions group with 5 updates
  * chore(goreleaser): fix name_template
  * chore(goreleaser): fix the deprecation warning
  * chore(goreleaser): fix the deprecation warning
  * Bumping go version to v1.21
  * Add dependabot contribution to prevent immediate PRs
  * Add dependabot
  * fix: reorder arguments calling NewClientSet (#118)
  * FIX PR #98 -- advanced node taint querying (#113)
  * refactor: Add option struct to optimize parameter transfer
    (#112)
  * Add flags for user and group impersonation
  * FIX PR #93 (#110)
  * Updating dependencies
  * chore(deps): upgrade cobra to 1.7.0 to fix zsh autocompletion
    sourcing
  * Update README to include --no-taint
  * Fix goreleaser
  * Add a flag to exclude tainted nodes
  * update golang
* Wed Sep 20 2023 Johannes Kastl <kastl@b1-systems.de>
- rework %%prep section, trim Summary
* Mon Sep 18 2023 Johannes Kastl <kastl@b1-systems.de>
- new package kubectl-capacity: CLI that provides an overview of
  the resource requests, limits, and utilization in a Kubernetes
  cluster
